> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_sendRawTransactionWithDetailedOutput

> Executes a transaction and returns its hash, storage logs, and events that would have been generated if the transaction had already been included in the block. The API has a similar behaviour to eth_sendRawTransaction but with some extra data returned from it. With this API Consumer apps can apply "optimistic" events in their applications instantly without having to wait for ZKsync block confirmation time. It's expected that the optimistic logs of two uncommitted transactions that modify the same state will not have causal relationships between each other.



## OpenAPI

````yaml /api-reference/openapi.json post /zks_sendRawTransactionWithDetailedOutput
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_sendRawTransactionWithDetailedOutput:
    post:
      tags:
        - ZKSync API
      summary: zks_sendRawTransactionWithDetailedOutput
      description: >-
        Executes a transaction and returns its hash, storage logs, and events
        that would have been generated if the transaction had already been
        included in the block. The API has a similar behaviour to
        eth_sendRawTransaction but with some extra data returned from it. With
        this API Consumer apps can apply "optimistic" events in their
        applications instantly without having to wait for ZKsync block
        confirmation time. It's expected that the optimistic logs of two
        uncommitted transactions that modify the same state will not have causal
        relationships between each other.
      operationId: zks_sendRawTransactionWithDetailedOutput
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_sendRawTransactionWithDetailedOutput
                  description: The method to call
                params:
                  type: array
                  items:
                    type: string
                  description: The signed transaction
                  default:
                    - 0x...
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_sendRawTransactionWithDetailedOutput
              params:
                - 0x...SignedTransaction...
      responses:
        '200':
          description: Returns transaction hash, storage logs, and events
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SendRawTransactionWithDetailedOutputResponse
              example:
                jsonrpc: '2.0'
                result:
                  transactionHash: >-
                    0xd586a9381ac33a70d1c34704664209242ee90316878fc1695aa8e4cf553c8595
                  storageLogs:
                    - address: '0x000000000000000000000000000000000000800b'
                      key: '0x7'
                      writtenValue: '0x40000000000000000000000006641f961'
                  events:
                    - address: '0x000000000000000000000000000000000000800a'
                      topics:
                        - >-
                          0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef
                        - >-
                          0x00000000000000000000000036615cf349d7f6344891b1e7ca7c72883f5dc049
                        - >-
                          0x0000000000000000000000000000000000000000000000000000000000008001
                      data: >-
                        0x00000000000000000000000000000000000000000000000000000b9b031bf400
                      blockHash: null
                      blockNumber: null
                      l1BatchNumber: '0x4'
                      transactionHash: >-
                        0xd586a9381ac33a70d1c34704664209242ee90316878fc1695aa8e4cf553c8595
                      transactionIndex: '0x0'
                      logIndex: null
                      transactionLogIndex: null
                      logType: null
                      removed: false
                id: 1
components:
  schemas:
    SendRawTransactionWithDetailedOutputResponse:
      $ref: 1d9eda27-b8fd-43a5-89d3-eb39472c6da1

````